I&#39;m unable to install darcs using cabal. It seems to be getting an error configuring haskeline.Can anybody help?<div><br></div><div>Thanks</div><div><br><div><br></div><div><div> cabal -V</div><div>cabal-install version 0.6.4</div>
<div>using version 1.6.0.3 of the Cabal library </div><div>bash-3.2$ ghc -V</div><div>The Glorious Glasgow Haskell Compilation System, version 6.10.4</div><div>bash-3.2$ cabal install darcs</div><div>Resolving dependencies...</div>
<div>[1 of 1] Compiling Main             ( /var/folders/Gj/Gj20S2zmFESpNdOqFfUlq++++TI/-Tmp-/haskeline-0.6.2.26747/haskeline-0.6.2.2/Setup.hs, /var/folders/Gj/Gj20S2zmFESpNdOqFfUlq++++TI/-Tmp-/haskeline-0.6.2.26747/haskeline-0.6.2.2/dist/setup/Main.o )</div>
<div>Linking /var/folders/Gj/Gj20S2zmFESpNdOqFfUlq++++TI/-Tmp-/haskeline-0.6.2.26747/haskeline-0.6.2.2/dist/setup/setup ...</div><div>Configuring haskeline-0.6.2.2...</div><div>checking whether to use -liconv... using -liconv.</div>
<div><b>Preprocessing library haskeline-0.6.2.2...</b></div><div><b>/usr/bin/hsc2hs: line 16: unexpected EOF while looking for matching `&quot;&#39;</b></div><div><b>/usr/bin/hsc2hs: line 17: syntax error: unexpected end of file</b></div>
<div>Configuring zlib-0.5.2.0...</div><div>Preprocessing library zlib-0.5.2.0...</div><div>/usr/bin/hsc2hs: line 16: unexpected EOF while looking for matching `&quot;&#39;</div><div>/usr/bin/hsc2hs: line 17: syntax error: unexpected end of file</div>
<div>cabal: Error: some packages failed to install:</div><div>darcs-2.4 depends on zlib-0.5.2.0 which failed to install.</div><div>hashed-storage-0.4.7 depends on zlib-0.5.2.0 which failed to install.</div><div>haskeline-0.6.2.2 failed during the building phase. The exception was:</div>
<div>exit: ExitFailure 2</div><div>zlib-0.5.2.0 failed during the building phase. The exception was:</div><div>exit: ExitFailure 2</div><div><br></div><div>When I installed ghc on Snow Leopard I followed the instructions at <a href="http://www.haskell.org/haskellwiki/Mac_OS_X">http://www.haskell.org/haskellwiki/Mac_OS_X</a></div>
</div></div>